curl --request POST \
--url https://api.mixpeek.com/v1/taxonomies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taxonomy_name": "<string>",
"config": {
"input_mappings": [
{
"input_key": "image_vector",
"path": "features.clip_vit_l_14",
"source_type": "vector"
}
],
"retriever_id": "ret_clip_v1",
"source_collection": {
"collection_id": "col_products_v1",
"enrichment_fields": [
{
"field_path": "metadata.tags",
"merge_mode": "append"
}
]
},
"taxonomy_type": "flat"
},
"description": "<string>"
}
'import requests
url = "https://api.mixpeek.com/v1/taxonomies"
payload = {
"taxonomy_name": "<string>",
"config": {
"input_mappings": [
{
"input_key": "image_vector",
"path": "features.clip_vit_l_14",
"source_type": "vector"
}
],
"retriever_id": "ret_clip_v1",
"source_collection": {
"collection_id": "col_products_v1",
"enrichment_fields": [
{
"field_path": "metadata.tags",
"merge_mode": "append"
}
]
},
"taxonomy_type": "flat"
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taxonomy_name: '<string>',
config: {
input_mappings: [
{
input_key: 'image_vector',
path: 'features.clip_vit_l_14',
source_type: 'vector'
}
],
retriever_id: 'ret_clip_v1',
source_collection: {
collection_id: 'col_products_v1',
enrichment_fields: [{field_path: 'metadata.tags', merge_mode: 'append'}]
},
taxonomy_type: 'flat'
},
description: '<string>'
})
};
fetch('https://api.mixpeek.com/v1/taxonomies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taxonomy_name": "<string>",
"config": {
"input_mappings": [
{
"input_key": "image_vector",
"path": "features.clip_vit_l_14",
"source_type": "vector"
}
],
"retriever_id": "ret_clip_v1",
"source_collection": {
"collection_id": "col_products_v1",
"enrichment_fields": [
{
"field_path": "metadata.tags",
"merge_mode": "append"
}
]
},
"taxonomy_type": "flat"
},
"taxonomy_id": "<string>",
"version": 1,
"description": "<string>",
"retriever_id": "<string>",
"input_mappings": [
{
"input_key": "<string>",
"path": "<string>",
"override": "<unknown>"
}
],
"ready": true,
"created_at": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Create Taxonomy
Create a taxonomy and return the created resource.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request model to create a taxonomy.
A unique name for the taxonomy within the namespace.
Configuration for a flat taxonomy - single source collection with one retriever.
- FlatTaxonomyConfig
- HierarchicalTaxonomyConfig
Show child attributes
Show child attributes
{ "input_mappings": [ { "input_key": "image_vector", "path": "features.clip_vit_l_14", "source_type": "vector" } ], "retriever_id": "ret_clip_v1", "source_collection": { "collection_id": "col_products_v1", "enrichment_fields": [ { "field_path": "metadata.tags", "merge_mode": "append" } ] }, "taxonomy_type": "flat" }
An optional description of the taxonomy.
Response
Successful Response
Response model for a taxonomy.
A unique name for the taxonomy within the namespace.
Configuration for a flat taxonomy - single source collection with one retriever.
- FlatTaxonomyConfig
- HierarchicalTaxonomyConfig
Show child attributes
Show child attributes
{ "input_mappings": [ { "input_key": "image_vector", "path": "features.clip_vit_l_14", "source_type": "vector" } ], "retriever_id": "ret_clip_v1", "source_collection": { "collection_id": "col_products_v1", "enrichment_fields": [ { "field_path": "metadata.tags", "merge_mode": "append" } ] }, "taxonomy_type": "flat" }
Unique identifier for the taxonomy
Monotonic version number of the taxonomy configuration
x >= 1Optional human-readable description.
Optional taxonomy-level retriever (prefer per-layer).
Optional taxonomy-level inputs (prefer per-layer).
Show child attributes
Show child attributes
Whether the taxonomy is ready for use. False for async inference (cluster/LLM) that needs processing. True for flat/explicit hierarchies.
Creation timestamp for this taxonomy record
Additional user-defined metadata for the taxonomy
Was this page helpful?

